Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.api.tasks.bundling
[Java] Class Zip

    java.lang.Object
      org.gradle.api.internal.ConventionTask
          org.gradle.api.tasks.AbstractCopyTask
              org.gradle.api.tasks.bundling.AbstractArchiveTask
                  org.gradle.api.tasks.bundling.Zip

    public class Zip
    extends AbstractArchiveTask

Assembles a ZIP archive. The default is to compress the contents of the zip.

Nested Class Summary
`protected class` | `Zip.ZipCopyActionImpl` DO NOT REMOVE.

Field Summary
`static String` | `ZIP_EXTENSION`

Constructor Summary
`Zip()`

Method Summary
`protected CopyAction` | `createCopyAction()`
`protected ZipCompressor` | `getCompressor()`
`ZipEntryCompression` | `getEntryCompression()` Returns the compression level of the entries of the archive.
`void` | `setEntryCompression(ZipEntryCompression entryCompression)` Sets the compression level of the entries of the archive.

Methods inherited from class AbstractArchiveTask
getAppendix, getArchiveName, getArchivePath, getBaseName, getClassifier, getDestinationDir, getExtension, getVersion, into, into, setAppendix, setArchiveName, setBaseName, setClassifier, setDestinationDir, setExtension, setVersion

Methods inherited from class AbstractCopyTask
configureRootSpec, copy, createCopyAction, createRootSpec, eachFile, eachFile, exclude, exclude, exclude, exclude, expand, filesMatching, filesNotMatching, filter, filter, filter, from, from, getDefaultSource, getDirMode, getDuplicatesStrategy, getExcludes, getFileMode, getIncludeEmptyDirs, getIncludes, getMainSpec, getRootSpec, getSource, include, include, include, include, into, into, isCaseSensitive, rename, rename, rename, setCaseSensitive, setDirMode, setDuplicatesStrategy, setExcludes, setFileMode, setIncludeEmptyDirs, setIncludes, with

Field Detail

### ZIP_EXTENSION

    public static final String ZIP_EXTENSION

Constructor Detail

### Zip

    public Zip()

Method Detail

### createCopyAction

    @Override
    protected CopyAction createCopyAction()

### getCompressor

    protected ZipCompressor getCompressor()

### getEntryCompression

    public ZipEntryCompression getEntryCompression()

  Returns the compression level of the entries of the archive. If set to ZipEntryCompression#DEFLATED#DEFLATED (the default), each entry is compressed using the DEFLATE algorithm. If set to ZipEntryCompression#STORED#STORED the entries of the archive are left uncompressed.
  Returns:
    the compression level of the archive contents.

### setEntryCompression

    public void setEntryCompression(ZipEntryCompression entryCompression)

  Sets the compression level of the entries of the archive. If set to ZipEntryCompression#DEFLATED#DEFLATED (the default), each entry is compressed using the DEFLATE algorithm. If set to ZipEntryCompression#STORED#STORED the entries of the archive are left uncompressed.
  Parameters:
    `entryCompression` - `STORED` or `DEFLATED`

Gradle API 1.10